/*************************************************
 *	 ___       _             _     
 *	|   |_ _ _| |___ ___   _| |___ 
 *	| | |_'_| . | -_|  _|_| . | -_|
 *	|___|_,_|___|___|___|_|___|___|
 * 
 * FILE: 	lib_lcd.h
 * Author: 	declis (0xdec.de)
 ************************************************/

#ifndef LIB_LCD_H_
#define LIB_LCD_H_

void clean_area(unsigned char,unsigned char,unsigned char);
void char_to_num_out(unsigned char,unsigned char,unsigned char);
void write_string(unsigned char,unsigned char,const char*);
void write_char(unsigned char,unsigned char,unsigned char);
void set_cursor(unsigned char,unsigned char);
void set_instruction(unsigned char,unsigned char);
void init_LCD(void);
void init_USI(void);

#define first_row		0x0080		//DDRAM Address 00
#define second_row		0x00C0		//DDRAM Address 40
#define CG_start		0x40		//GCRAM Address 64
#define DH				0x3C		//Double Height Font

//EA DOGM162W-A (2x16) [ST7036]
#define RS				0x0080		//RS at P1.7
#define CSB				0x0010		//CSB at P1.4
									//CLK at P1.5
									//SI at P1.6

#endif /*LIB_LCD_H_*/
