/*************************************************
 *	 ___       _             _     
 *	|   |_ _ _| |___ ___   _| |___ 
 *	| | |_'_| . | -_|  _|_| . | -_|
 *	|___|_,_|___|___|___|_|___|___|
 * 
 * FILE: 	lib_system.h
 * Author: 	declis (0xdec.de)
 ************************************************/

#ifndef LIB_SYSTEM_H_
#define LIB_SYSTEM_H_

#define cycles_1000 	32767	// 32768=1sec 
#define cycles_500		16383	// 16384=500ms
#define numitron_off	255		// not a vaild BCD-Code, MOS4511 will turn off outputs

unsigned char get_temp(void);
unsigned char set_rgb(unsigned char);
unsigned char convert_numitron_bcd (unsigned char);
void send_number(unsigned char);
void send_shift_register(unsigned char);
void init_ADC(void);
void init_TimerA(void);
void init_ACLK(void);
void init_DCO(void);
void init_ports(void);

#endif /*LIB_SYSTEM_H_*/
